<template>
  <v-dialog
    v-bind="$attrs"
    :max-width="maxWidth"
    v-on="$listeners"
  >
    <v-card>
      <v-card-title class="text-h5">
        <slot name="title">
          <v-icon
            color="yellow"
            class="mr-2"
          >
            mdi-alert
          </v-icon>
          {{ $t('areYouSure') }}
        </slot>
      </v-card-title>

      <v-card-text class="py-0">
        <slot />
      </v-card-text>

      <v-card-actions>
        <v-spacer />

        <v-btn
          text
          :disabled="loading"
          color="cancel darken-1"
          @click="$emit('onDisagree')"
        >
          <slot name="disagree-btn">
            {{ $t('no') }}
          </slot>
        </v-btn>

        <v-btn
          text
          :loading="loading"
          :disabled="loading"
          color="confirm darken-1"
          @click="$emit('onAgree')"
        >
          <slot name="agree-btn">
            {{ $t('yes') }}
          </slot>
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
  export default {
    name: 'DialogConfirmation',
    props: {
      maxWidth: {
        type: String,
        default: '550',
        required: false,
      },
      loading: {
        type: Boolean,
        default: false,
        required: false,
      },
    },
    i18n: {
      messages: {
        'pt-BR': {
          yes: 'Sim',
          no: 'Não',
          areYouSure: 'Você tem certeza?',
        },
        'en-US': {
          yes: 'Yes',
          no: 'No',
          areYouSure: 'Are you sure?',
        },
      },
    },
  }
</script>
